package fr.ippon.geohipster.repository;

import fr.ippon.geohipster.domain.Geocity;
import org.geolatte.geom.Geometry;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import org.springframework.data.jpa.repository.*;

import java.util.List;


/**
 * Spring Data JPA repository for the Geocity entity.
 */
@SuppressWarnings("unused")
@Repository
public interface GeocityRepository extends JpaRepository<Geocity,Long> {
    @Query("SELECT c FROM Geocity c WHERE dwithin(c.location, :point, :dist)=true")
    public List<Geocity> findCityWithinCircle(@Param("point")Geometry point, @Param("dist")float dist);
}
